# drawing-caiman-gogi

> Figure-creator for caiman nms

[![NPM](https://img.shields.io/npm/v/drawing-caiman-gogi.svg)](https://www.npmjs.com/package/drawing-caiman-gogi) [![JavaScript Style Guide](https://img.shields.io/badge/code_style-standard-brightgreen.svg)](https://standardjs.com)

## Install

```bash
npm install --save drawing-caiman-gogi
```

## Usage
//for Figure Creation use 

```tsx
import React, { Component } from 'react'

import { Closure } from 'drawing-caiman-gogi'

const props = {
  interactive: true,
  dimensions: {
    width: 750,
    height: 500
  },
  inputs: {
    top: [],
    left: [10],
    right: [2, 12, 5, 7]
  }
}

class Example extends Component {
  render() {
    return <Closure {...props}  />
  }
}
```

// for Figure Creation use
```tsx

import React, { Component } from 'react'

import { Figure } from 'drawing-caiman-gogi'


const props = {
  formType: 'CROSS',
  size:20,
  color: 'red'
}

class Example extends Component {
  render() {
    return <Figure {...props}  />
  }
}


## License

MIT © [GogiLoloyan](https://github.com/GogiLoloyan)
