/// <reference types="react" />
import type { CableSnapshotOutType } from './Input/store';
export declare type BaseActions = {
    removeLastCable: () => any;
    setFeatureCable: (cable: CableSnapshotOutType) => void;
    getSerializableData: () => any;
};
export interface ExternalProps<Actions = BaseActions> {
    initialData: any;
    onAddCable: (cable: any) => void;
    actionsRef?: React.RefObject<Actions>;
    zoom?: number;
    minZoom?: number;
    maxZoom?: number;
}
