import { IModelType } from 'mobx-state-tree';
import CoreStore, { CoreStoreProps } from '../../common/stores/CoreStore';
interface RootStoreProps<FeatureModel extends IModelType<any, any>> extends CoreStoreProps<FeatureModel> {
    [extraProps: string]: any;
}
declare class RootStore<FeatureModel extends IModelType<any, any, any, any>> extends CoreStore<FeatureModel> {
    constructor(props: RootStoreProps<FeatureModel>);
}
export declare type RootStoreType<FeatureModel extends IModelType<any, any>> = RootStore<FeatureModel>;
export default RootStore;
