export declare const useRootStore: () => import("../../common/stores/CoreStore").CoreStoreType<import("mobx-state-tree").IModelType<{
    dimensions: import("mobx-state-tree").IModelType<{
        width: import("mobx-state-tree").ISimpleType<number>;
        height: import("mobx-state-tree").ISimpleType<number>;
    }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    side: import("mobx-state-tree").IModelType<{
        input: import("mobx-state-tree").IModelType<{
            width: import("mobx-state-tree").ISimpleType<number>;
            height: import("mobx-state-tree").ISimpleType<number>;
            type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
            cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }, {
                readonly strokeWidth: number;
                readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>;
            } & {
                remove(): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        }, {
            readonly cablesTotalWidth: number;
        } & {
            addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>): void;
            removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>): void;
            setInputType(type: import("../../common/Input/types").InputUIType): void;
            changeWidth(value: number): void;
            setInputWidth(value: number): void;
        } & {
            readonly isFull: boolean;
        } & {
            addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>): void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        name: import("mobx-state-tree").IType<string | undefined, string, string>;
    }, {
        readonly cableBunchInterval: number;
        readonly cableBunchHeight: number;
        readonly interval: number;
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
}, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
export declare const useFeature: () => {
    dimensions: {
        width: number;
        height: number;
    } & import("mobx-state-tree/dist/internal").NonEmptyObject & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
        width: import("mobx-state-tree").ISimpleType<number>;
        height: import("mobx-state-tree").ISimpleType<number>;
    }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
    side: {
        input: {
            width: number;
            height: number;
            type: "UnLimited" | "Unknown" | "Standard";
            cables: import("mobx-state-tree").IMSTArray<import("mobx-state-tree").IModelType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }, {
                readonly strokeWidth: number;
                readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>;
            } & {
                remove(): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>> & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }, {
                readonly strokeWidth: number;
                readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>;
            } & {
                remove(): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>>;
        } & import("mobx-state-tree/dist/internal").NonEmptyObject & {
            readonly cablesTotalWidth: number;
        } & {
            addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>): void;
            removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>): void;
            setInputType(type: import("../../common/Input/types").InputUIType): void;
            changeWidth(value: number): void;
            setInputWidth(value: number): void;
        } & {
            readonly isFull: boolean;
        } & {
            addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>): void;
        } & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
            width: import("mobx-state-tree").ISimpleType<number>;
            height: import("mobx-state-tree").ISimpleType<number>;
            type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
            cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }, {
                readonly strokeWidth: number;
                readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>;
            } & {
                remove(): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        }, {
            readonly cablesTotalWidth: number;
        } & {
            addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>): void;
            removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>): void;
            setInputType(type: import("../../common/Input/types").InputUIType): void;
            changeWidth(value: number): void;
            setInputWidth(value: number): void;
        } & {
            readonly isFull: boolean;
        } & {
            addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>): void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        name: string;
    } & import("mobx-state-tree/dist/internal").NonEmptyObject & {
        readonly cableBunchInterval: number;
        readonly cableBunchHeight: number;
        readonly interval: number;
    } & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
        input: import("mobx-state-tree").IModelType<{
            width: import("mobx-state-tree").ISimpleType<number>;
            height: import("mobx-state-tree").ISimpleType<number>;
            type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
            cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }, {
                readonly strokeWidth: number;
                readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>;
            } & {
                remove(): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        }, {
            readonly cablesTotalWidth: number;
        } & {
            addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>): void;
            removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>): void;
            setInputType(type: import("../../common/Input/types").InputUIType): void;
            changeWidth(value: number): void;
            setInputWidth(value: number): void;
        } & {
            readonly isFull: boolean;
        } & {
            addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>): void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        name: import("mobx-state-tree").IType<string | undefined, string, string>;
    }, {
        readonly cableBunchInterval: number;
        readonly cableBunchHeight: number;
        readonly interval: number;
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
} & import("mobx-state-tree/dist/internal").NonEmptyObject & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
    dimensions: import("mobx-state-tree").IModelType<{
        width: import("mobx-state-tree").ISimpleType<number>;
        height: import("mobx-state-tree").ISimpleType<number>;
    }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    side: import("mobx-state-tree").IModelType<{
        input: import("mobx-state-tree").IModelType<{
            width: import("mobx-state-tree").ISimpleType<number>;
            height: import("mobx-state-tree").ISimpleType<number>;
            type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
            cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }, {
                readonly strokeWidth: number;
                readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>;
            } & {
                remove(): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        }, {
            readonly cablesTotalWidth: number;
        } & {
            addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>): void;
            removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>): void;
            setInputType(type: import("../../common/Input/types").InputUIType): void;
            changeWidth(value: number): void;
            setInputWidth(value: number): void;
        } & {
            readonly isFull: boolean;
        } & {
            addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                id: import("mobx-state-tree").ISimpleType<number>;
                diameter: import("mobx-state-tree").ISimpleType<number>;
            }>): void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        name: import("mobx-state-tree").IType<string | undefined, string, string>;
    }, {
        readonly cableBunchInterval: number;
        readonly cableBunchHeight: number;
        readonly interval: number;
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
}, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
