import type { BaseActions } from '../common/interfaces';
export declare type Actions = {} & BaseActions;
export declare type SideName = 'top' | 'left' | 'bottom' | 'right';
export interface Dimensions {
    width: number;
    height: number;
}
export interface Input {
    id: number;
    width: number;
    height: number;
}
export interface Sides {
    top: {
        inputs: Input[];
    };
    left: {
        inputs: Input[];
    };
    right: {
        inputs: Input[];
    };
    bottom: {
        inputs: Input[];
    };
}
export interface Line {
    x1: number;
    y1: number;
    x2: number;
    y2: number;
}
export interface RectSides {
    top: Line;
    left: Line;
    right: Line;
    bottom: Line;
}
