import React, { FC } from 'react';
import { FeatureViewProps } from './FeatureView';
import type { BaseActions } from './interfaces';
import './styles/index.css';
export interface FeatureWrapperProps<Actions = BaseActions> extends FeatureViewProps {
    onAddCable: (cable: any) => void;
    actionsRef?: React.RefObject<Actions>;
}
declare const FeatureWrapper: FC<FeatureWrapperProps>;
export default FeatureWrapper;
