import { FeatureWrapperProps } from './FeatureWrapper';
import type { CableSnapshotOutType } from './Input/store';
export declare type BaseActions = {
    removeLastCable: () => any;
    setFeatureCable: (cable: CableSnapshotOutType) => void;
    getSerializableData: () => any;
};
export interface ExternalProps<Actions = BaseActions> extends Pick<FeatureWrapperProps<Actions>, 'zoom' | 'minZoom' | 'maxZoom' | 'actionsRef' | 'onAddCable'> {
    initialData: any;
}
