export declare const useRootStore: () => import("../../common/stores/CoreStore").CoreStoreType<import("mobx-state-tree").IModelType<{
    dimensions: import("mobx-state-tree").IModelType<{
        width: import("mobx-state-tree").ISimpleType<number>;
        height: import("mobx-state-tree").ISimpleType<number>;
    }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    sides: import("mobx-state-tree").IModelType<{
        top: import("mobx-state-tree").IModelType<{
            inputs: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                width: import("mobx-state-tree").ISimpleType<number>;
                height: import("mobx-state-tree").ISimpleType<number>;
                type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
                cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }, {
                    readonly strokeWidth: number;
                    readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                        id: import("mobx-state-tree").ISimpleType<number>;
                        diameter: import("mobx-state-tree").ISimpleType<number>;
                    }>;
                } & {
                    remove(): void;
                }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            }, {
                readonly cablesTotalWidth: number;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                setInputType(type: import("../../common/Input/types").InputUIType): void;
                changeWidth(value: number): void;
                setInputWidth(value: number): void;
            } & {
                readonly isFull: boolean;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            name: import("mobx-state-tree").ISimpleType<string>;
        }, {
            readonly sideOptions: {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            };
            readonly totalWidth: number;
            readonly interval: number;
            readonly unLimitedInputInterval: any;
            readonly cableBunchInterval: number;
            readonly margin: number;
            readonly cableBunchHeight: number;
            readonly inputsCoordinates: number[];
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        right: import("mobx-state-tree").IModelType<{
            inputs: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                width: import("mobx-state-tree").ISimpleType<number>;
                height: import("mobx-state-tree").ISimpleType<number>;
                type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
                cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }, {
                    readonly strokeWidth: number;
                    readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                        id: import("mobx-state-tree").ISimpleType<number>;
                        diameter: import("mobx-state-tree").ISimpleType<number>;
                    }>;
                } & {
                    remove(): void;
                }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            }, {
                readonly cablesTotalWidth: number;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                setInputType(type: import("../../common/Input/types").InputUIType): void;
                changeWidth(value: number): void;
                setInputWidth(value: number): void;
            } & {
                readonly isFull: boolean;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            name: import("mobx-state-tree").ISimpleType<string>;
        }, {
            readonly sideOptions: {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            };
            readonly totalWidth: number;
            readonly interval: number;
            readonly unLimitedInputInterval: any;
            readonly cableBunchInterval: number;
            readonly margin: number;
            readonly cableBunchHeight: number;
            readonly inputsCoordinates: number[];
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        bottom: import("mobx-state-tree").IModelType<{
            inputs: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                width: import("mobx-state-tree").ISimpleType<number>;
                height: import("mobx-state-tree").ISimpleType<number>;
                type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
                cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }, {
                    readonly strokeWidth: number;
                    readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                        id: import("mobx-state-tree").ISimpleType<number>;
                        diameter: import("mobx-state-tree").ISimpleType<number>;
                    }>;
                } & {
                    remove(): void;
                }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            }, {
                readonly cablesTotalWidth: number;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                setInputType(type: import("../../common/Input/types").InputUIType): void;
                changeWidth(value: number): void;
                setInputWidth(value: number): void;
            } & {
                readonly isFull: boolean;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            name: import("mobx-state-tree").ISimpleType<string>;
        }, {
            readonly sideOptions: {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            };
            readonly totalWidth: number;
            readonly interval: number;
            readonly unLimitedInputInterval: any;
            readonly cableBunchInterval: number;
            readonly margin: number;
            readonly cableBunchHeight: number;
            readonly inputsCoordinates: number[];
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        left: import("mobx-state-tree").IModelType<{
            inputs: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                width: import("mobx-state-tree").ISimpleType<number>;
                height: import("mobx-state-tree").ISimpleType<number>;
                type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
                cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }, {
                    readonly strokeWidth: number;
                    readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                        id: import("mobx-state-tree").ISimpleType<number>;
                        diameter: import("mobx-state-tree").ISimpleType<number>;
                    }>;
                } & {
                    remove(): void;
                }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            }, {
                readonly cablesTotalWidth: number;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                setInputType(type: import("../../common/Input/types").InputUIType): void;
                changeWidth(value: number): void;
                setInputWidth(value: number): void;
            } & {
                readonly isFull: boolean;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            name: import("mobx-state-tree").ISimpleType<string>;
        }, {
            readonly sideOptions: {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            };
            readonly totalWidth: number;
            readonly interval: number;
            readonly unLimitedInputInterval: any;
            readonly cableBunchInterval: number;
            readonly margin: number;
            readonly cableBunchHeight: number;
            readonly inputsCoordinates: number[];
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
}, {
    readonly svgSizes: {
        width: number;
        height: number;
    };
}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
export declare const useFeature: () => {
    dimensions: {
        width: number;
        height: number;
    } & import("mobx-state-tree/dist/internal").NonEmptyObject & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
        width: import("mobx-state-tree").ISimpleType<number>;
        height: import("mobx-state-tree").ISimpleType<number>;
    }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
    sides: {
        top: {
            inputs: import("mobx-state-tree").IMSTArray<import("mobx-state-tree").IModelType<{
                width: import("mobx-state-tree").ISimpleType<number>;
                height: import("mobx-state-tree").ISimpleType<number>;
                type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
                cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }, {
                    readonly strokeWidth: number;
                    readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                        id: import("mobx-state-tree").ISimpleType<number>;
                        diameter: import("mobx-state-tree").ISimpleType<number>;
                    }>;
                } & {
                    remove(): void;
                }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            }, {
                readonly cablesTotalWidth: number;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                setInputType(type: import("../../common/Input/types").InputUIType): void;
                changeWidth(value: number): void;
                setInputWidth(value: number): void;
            } & {
                readonly isFull: boolean;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>> & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                width: import("mobx-state-tree").ISimpleType<number>;
                height: import("mobx-state-tree").ISimpleType<number>;
                type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
                cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }, {
                    readonly strokeWidth: number;
                    readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                        id: import("mobx-state-tree").ISimpleType<number>;
                        diameter: import("mobx-state-tree").ISimpleType<number>;
                    }>;
                } & {
                    remove(): void;
                }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            }, {
                readonly cablesTotalWidth: number;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                setInputType(type: import("../../common/Input/types").InputUIType): void;
                changeWidth(value: number): void;
                setInputWidth(value: number): void;
            } & {
                readonly isFull: boolean;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>>;
            name: string;
        } & import("mobx-state-tree/dist/internal").NonEmptyObject & {
            readonly sideOptions: {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            };
            readonly totalWidth: number;
            readonly interval: number;
            readonly unLimitedInputInterval: any;
            readonly cableBunchInterval: number;
            readonly margin: number;
            readonly cableBunchHeight: number;
            readonly inputsCoordinates: number[];
        } & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
            inputs: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                width: import("mobx-state-tree").ISimpleType<number>;
                height: import("mobx-state-tree").ISimpleType<number>;
                type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
                cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }, {
                    readonly strokeWidth: number;
                    readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                        id: import("mobx-state-tree").ISimpleType<number>;
                        diameter: import("mobx-state-tree").ISimpleType<number>;
                    }>;
                } & {
                    remove(): void;
                }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            }, {
                readonly cablesTotalWidth: number;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                setInputType(type: import("../../common/Input/types").InputUIType): void;
                changeWidth(value: number): void;
                setInputWidth(value: number): void;
            } & {
                readonly isFull: boolean;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            name: import("mobx-state-tree").ISimpleType<string>;
        }, {
            readonly sideOptions: {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            };
            readonly totalWidth: number;
            readonly interval: number;
            readonly unLimitedInputInterval: any;
            readonly cableBunchInterval: number;
            readonly margin: number;
            readonly cableBunchHeight: number;
            readonly inputsCoordinates: number[];
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        right: {
            inputs: import("mobx-state-tree").IMSTArray<import("mobx-state-tree").IModelType<{
                width: import("mobx-state-tree").ISimpleType<number>;
                height: import("mobx-state-tree").ISimpleType<number>;
                type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
                cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }, {
                    readonly strokeWidth: number;
                    readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                        id: import("mobx-state-tree").ISimpleType<number>;
                        diameter: import("mobx-state-tree").ISimpleType<number>;
                    }>;
                } & {
                    remove(): void;
                }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            }, {
                readonly cablesTotalWidth: number;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                setInputType(type: import("../../common/Input/types").InputUIType): void;
                changeWidth(value: number): void;
                setInputWidth(value: number): void;
            } & {
                readonly isFull: boolean;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>> & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                width: import("mobx-state-tree").ISimpleType<number>;
                height: import("mobx-state-tree").ISimpleType<number>;
                type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
                cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }, {
                    readonly strokeWidth: number;
                    readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                        id: import("mobx-state-tree").ISimpleType<number>;
                        diameter: import("mobx-state-tree").ISimpleType<number>;
                    }>;
                } & {
                    remove(): void;
                }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            }, {
                readonly cablesTotalWidth: number;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                setInputType(type: import("../../common/Input/types").InputUIType): void;
                changeWidth(value: number): void;
                setInputWidth(value: number): void;
            } & {
                readonly isFull: boolean;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>>;
            name: string;
        } & import("mobx-state-tree/dist/internal").NonEmptyObject & {
            readonly sideOptions: {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            };
            readonly totalWidth: number;
            readonly interval: number;
            readonly unLimitedInputInterval: any;
            readonly cableBunchInterval: number;
            readonly margin: number;
            readonly cableBunchHeight: number;
            readonly inputsCoordinates: number[];
        } & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
            inputs: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                width: import("mobx-state-tree").ISimpleType<number>;
                height: import("mobx-state-tree").ISimpleType<number>;
                type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
                cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }, {
                    readonly strokeWidth: number;
                    readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                        id: import("mobx-state-tree").ISimpleType<number>;
                        diameter: import("mobx-state-tree").ISimpleType<number>;
                    }>;
                } & {
                    remove(): void;
                }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            }, {
                readonly cablesTotalWidth: number;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                setInputType(type: import("../../common/Input/types").InputUIType): void;
                changeWidth(value: number): void;
                setInputWidth(value: number): void;
            } & {
                readonly isFull: boolean;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            name: import("mobx-state-tree").ISimpleType<string>;
        }, {
            readonly sideOptions: {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            };
            readonly totalWidth: number;
            readonly interval: number;
            readonly unLimitedInputInterval: any;
            readonly cableBunchInterval: number;
            readonly margin: number;
            readonly cableBunchHeight: number;
            readonly inputsCoordinates: number[];
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        bottom: {
            inputs: import("mobx-state-tree").IMSTArray<import("mobx-state-tree").IModelType<{
                width: import("mobx-state-tree").ISimpleType<number>;
                height: import("mobx-state-tree").ISimpleType<number>;
                type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
                cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }, {
                    readonly strokeWidth: number;
                    readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                        id: import("mobx-state-tree").ISimpleType<number>;
                        diameter: import("mobx-state-tree").ISimpleType<number>;
                    }>;
                } & {
                    remove(): void;
                }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            }, {
                readonly cablesTotalWidth: number;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                setInputType(type: import("../../common/Input/types").InputUIType): void;
                changeWidth(value: number): void;
                setInputWidth(value: number): void;
            } & {
                readonly isFull: boolean;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>> & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                width: import("mobx-state-tree").ISimpleType<number>;
                height: import("mobx-state-tree").ISimpleType<number>;
                type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
                cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }, {
                    readonly strokeWidth: number;
                    readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                        id: import("mobx-state-tree").ISimpleType<number>;
                        diameter: import("mobx-state-tree").ISimpleType<number>;
                    }>;
                } & {
                    remove(): void;
                }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            }, {
                readonly cablesTotalWidth: number;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                setInputType(type: import("../../common/Input/types").InputUIType): void;
                changeWidth(value: number): void;
                setInputWidth(value: number): void;
            } & {
                readonly isFull: boolean;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>>;
            name: string;
        } & import("mobx-state-tree/dist/internal").NonEmptyObject & {
            readonly sideOptions: {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            };
            readonly totalWidth: number;
            readonly interval: number;
            readonly unLimitedInputInterval: any;
            readonly cableBunchInterval: number;
            readonly margin: number;
            readonly cableBunchHeight: number;
            readonly inputsCoordinates: number[];
        } & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
            inputs: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                width: import("mobx-state-tree").ISimpleType<number>;
                height: import("mobx-state-tree").ISimpleType<number>;
                type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
                cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }, {
                    readonly strokeWidth: number;
                    readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                        id: import("mobx-state-tree").ISimpleType<number>;
                        diameter: import("mobx-state-tree").ISimpleType<number>;
                    }>;
                } & {
                    remove(): void;
                }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            }, {
                readonly cablesTotalWidth: number;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                setInputType(type: import("../../common/Input/types").InputUIType): void;
                changeWidth(value: number): void;
                setInputWidth(value: number): void;
            } & {
                readonly isFull: boolean;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            name: import("mobx-state-tree").ISimpleType<string>;
        }, {
            readonly sideOptions: {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            };
            readonly totalWidth: number;
            readonly interval: number;
            readonly unLimitedInputInterval: any;
            readonly cableBunchInterval: number;
            readonly margin: number;
            readonly cableBunchHeight: number;
            readonly inputsCoordinates: number[];
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        left: {
            inputs: import("mobx-state-tree").IMSTArray<import("mobx-state-tree").IModelType<{
                width: import("mobx-state-tree").ISimpleType<number>;
                height: import("mobx-state-tree").ISimpleType<number>;
                type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
                cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }, {
                    readonly strokeWidth: number;
                    readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                        id: import("mobx-state-tree").ISimpleType<number>;
                        diameter: import("mobx-state-tree").ISimpleType<number>;
                    }>;
                } & {
                    remove(): void;
                }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            }, {
                readonly cablesTotalWidth: number;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                setInputType(type: import("../../common/Input/types").InputUIType): void;
                changeWidth(value: number): void;
                setInputWidth(value: number): void;
            } & {
                readonly isFull: boolean;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>> & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                width: import("mobx-state-tree").ISimpleType<number>;
                height: import("mobx-state-tree").ISimpleType<number>;
                type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
                cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }, {
                    readonly strokeWidth: number;
                    readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                        id: import("mobx-state-tree").ISimpleType<number>;
                        diameter: import("mobx-state-tree").ISimpleType<number>;
                    }>;
                } & {
                    remove(): void;
                }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            }, {
                readonly cablesTotalWidth: number;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                setInputType(type: import("../../common/Input/types").InputUIType): void;
                changeWidth(value: number): void;
                setInputWidth(value: number): void;
            } & {
                readonly isFull: boolean;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>>;
            name: string;
        } & import("mobx-state-tree/dist/internal").NonEmptyObject & {
            readonly sideOptions: {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            };
            readonly totalWidth: number;
            readonly interval: number;
            readonly unLimitedInputInterval: any;
            readonly cableBunchInterval: number;
            readonly margin: number;
            readonly cableBunchHeight: number;
            readonly inputsCoordinates: number[];
        } & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
            inputs: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                width: import("mobx-state-tree").ISimpleType<number>;
                height: import("mobx-state-tree").ISimpleType<number>;
                type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
                cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }, {
                    readonly strokeWidth: number;
                    readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                        id: import("mobx-state-tree").ISimpleType<number>;
                        diameter: import("mobx-state-tree").ISimpleType<number>;
                    }>;
                } & {
                    remove(): void;
                }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            }, {
                readonly cablesTotalWidth: number;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                setInputType(type: import("../../common/Input/types").InputUIType): void;
                changeWidth(value: number): void;
                setInputWidth(value: number): void;
            } & {
                readonly isFull: boolean;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            name: import("mobx-state-tree").ISimpleType<string>;
        }, {
            readonly sideOptions: {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            };
            readonly totalWidth: number;
            readonly interval: number;
            readonly unLimitedInputInterval: any;
            readonly cableBunchInterval: number;
            readonly margin: number;
            readonly cableBunchHeight: number;
            readonly inputsCoordinates: number[];
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
    } & import("mobx-state-tree/dist/internal").NonEmptyObject & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
        top: import("mobx-state-tree").IModelType<{
            inputs: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                width: import("mobx-state-tree").ISimpleType<number>;
                height: import("mobx-state-tree").ISimpleType<number>;
                type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
                cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }, {
                    readonly strokeWidth: number;
                    readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                        id: import("mobx-state-tree").ISimpleType<number>;
                        diameter: import("mobx-state-tree").ISimpleType<number>;
                    }>;
                } & {
                    remove(): void;
                }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            }, {
                readonly cablesTotalWidth: number;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                setInputType(type: import("../../common/Input/types").InputUIType): void;
                changeWidth(value: number): void;
                setInputWidth(value: number): void;
            } & {
                readonly isFull: boolean;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            name: import("mobx-state-tree").ISimpleType<string>;
        }, {
            readonly sideOptions: {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            };
            readonly totalWidth: number;
            readonly interval: number;
            readonly unLimitedInputInterval: any;
            readonly cableBunchInterval: number;
            readonly margin: number;
            readonly cableBunchHeight: number;
            readonly inputsCoordinates: number[];
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        right: import("mobx-state-tree").IModelType<{
            inputs: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                width: import("mobx-state-tree").ISimpleType<number>;
                height: import("mobx-state-tree").ISimpleType<number>;
                type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
                cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }, {
                    readonly strokeWidth: number;
                    readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                        id: import("mobx-state-tree").ISimpleType<number>;
                        diameter: import("mobx-state-tree").ISimpleType<number>;
                    }>;
                } & {
                    remove(): void;
                }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            }, {
                readonly cablesTotalWidth: number;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                setInputType(type: import("../../common/Input/types").InputUIType): void;
                changeWidth(value: number): void;
                setInputWidth(value: number): void;
            } & {
                readonly isFull: boolean;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            name: import("mobx-state-tree").ISimpleType<string>;
        }, {
            readonly sideOptions: {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            };
            readonly totalWidth: number;
            readonly interval: number;
            readonly unLimitedInputInterval: any;
            readonly cableBunchInterval: number;
            readonly margin: number;
            readonly cableBunchHeight: number;
            readonly inputsCoordinates: number[];
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        bottom: import("mobx-state-tree").IModelType<{
            inputs: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                width: import("mobx-state-tree").ISimpleType<number>;
                height: import("mobx-state-tree").ISimpleType<number>;
                type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
                cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }, {
                    readonly strokeWidth: number;
                    readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                        id: import("mobx-state-tree").ISimpleType<number>;
                        diameter: import("mobx-state-tree").ISimpleType<number>;
                    }>;
                } & {
                    remove(): void;
                }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            }, {
                readonly cablesTotalWidth: number;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                setInputType(type: import("../../common/Input/types").InputUIType): void;
                changeWidth(value: number): void;
                setInputWidth(value: number): void;
            } & {
                readonly isFull: boolean;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            name: import("mobx-state-tree").ISimpleType<string>;
        }, {
            readonly sideOptions: {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            };
            readonly totalWidth: number;
            readonly interval: number;
            readonly unLimitedInputInterval: any;
            readonly cableBunchInterval: number;
            readonly margin: number;
            readonly cableBunchHeight: number;
            readonly inputsCoordinates: number[];
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        left: import("mobx-state-tree").IModelType<{
            inputs: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                width: import("mobx-state-tree").ISimpleType<number>;
                height: import("mobx-state-tree").ISimpleType<number>;
                type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
                cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }, {
                    readonly strokeWidth: number;
                    readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                        id: import("mobx-state-tree").ISimpleType<number>;
                        diameter: import("mobx-state-tree").ISimpleType<number>;
                    }>;
                } & {
                    remove(): void;
                }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            }, {
                readonly cablesTotalWidth: number;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                setInputType(type: import("../../common/Input/types").InputUIType): void;
                changeWidth(value: number): void;
                setInputWidth(value: number): void;
            } & {
                readonly isFull: boolean;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            name: import("mobx-state-tree").ISimpleType<string>;
        }, {
            readonly sideOptions: {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            };
            readonly totalWidth: number;
            readonly interval: number;
            readonly unLimitedInputInterval: any;
            readonly cableBunchInterval: number;
            readonly margin: number;
            readonly cableBunchHeight: number;
            readonly inputsCoordinates: number[];
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
} & import("mobx-state-tree/dist/internal").NonEmptyObject & {
    readonly svgSizes: {
        width: number;
        height: number;
    };
} & import("mobx-state-tree").IStateTreeNode<import("mobx-state-tree").IModelType<{
    dimensions: import("mobx-state-tree").IModelType<{
        width: import("mobx-state-tree").ISimpleType<number>;
        height: import("mobx-state-tree").ISimpleType<number>;
    }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    sides: import("mobx-state-tree").IModelType<{
        top: import("mobx-state-tree").IModelType<{
            inputs: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                width: import("mobx-state-tree").ISimpleType<number>;
                height: import("mobx-state-tree").ISimpleType<number>;
                type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
                cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }, {
                    readonly strokeWidth: number;
                    readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                        id: import("mobx-state-tree").ISimpleType<number>;
                        diameter: import("mobx-state-tree").ISimpleType<number>;
                    }>;
                } & {
                    remove(): void;
                }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            }, {
                readonly cablesTotalWidth: number;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                setInputType(type: import("../../common/Input/types").InputUIType): void;
                changeWidth(value: number): void;
                setInputWidth(value: number): void;
            } & {
                readonly isFull: boolean;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            name: import("mobx-state-tree").ISimpleType<string>;
        }, {
            readonly sideOptions: {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            };
            readonly totalWidth: number;
            readonly interval: number;
            readonly unLimitedInputInterval: any;
            readonly cableBunchInterval: number;
            readonly margin: number;
            readonly cableBunchHeight: number;
            readonly inputsCoordinates: number[];
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        right: import("mobx-state-tree").IModelType<{
            inputs: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                width: import("mobx-state-tree").ISimpleType<number>;
                height: import("mobx-state-tree").ISimpleType<number>;
                type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
                cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }, {
                    readonly strokeWidth: number;
                    readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                        id: import("mobx-state-tree").ISimpleType<number>;
                        diameter: import("mobx-state-tree").ISimpleType<number>;
                    }>;
                } & {
                    remove(): void;
                }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            }, {
                readonly cablesTotalWidth: number;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                setInputType(type: import("../../common/Input/types").InputUIType): void;
                changeWidth(value: number): void;
                setInputWidth(value: number): void;
            } & {
                readonly isFull: boolean;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            name: import("mobx-state-tree").ISimpleType<string>;
        }, {
            readonly sideOptions: {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            };
            readonly totalWidth: number;
            readonly interval: number;
            readonly unLimitedInputInterval: any;
            readonly cableBunchInterval: number;
            readonly margin: number;
            readonly cableBunchHeight: number;
            readonly inputsCoordinates: number[];
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        bottom: import("mobx-state-tree").IModelType<{
            inputs: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                width: import("mobx-state-tree").ISimpleType<number>;
                height: import("mobx-state-tree").ISimpleType<number>;
                type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
                cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }, {
                    readonly strokeWidth: number;
                    readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                        id: import("mobx-state-tree").ISimpleType<number>;
                        diameter: import("mobx-state-tree").ISimpleType<number>;
                    }>;
                } & {
                    remove(): void;
                }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            }, {
                readonly cablesTotalWidth: number;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                setInputType(type: import("../../common/Input/types").InputUIType): void;
                changeWidth(value: number): void;
                setInputWidth(value: number): void;
            } & {
                readonly isFull: boolean;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            name: import("mobx-state-tree").ISimpleType<string>;
        }, {
            readonly sideOptions: {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            };
            readonly totalWidth: number;
            readonly interval: number;
            readonly unLimitedInputInterval: any;
            readonly cableBunchInterval: number;
            readonly margin: number;
            readonly cableBunchHeight: number;
            readonly inputsCoordinates: number[];
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
        left: import("mobx-state-tree").IModelType<{
            inputs: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                width: import("mobx-state-tree").ISimpleType<number>;
                height: import("mobx-state-tree").ISimpleType<number>;
                type: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<"UnLimited" | "Unknown" | "Standard">, [undefined]>;
                cables: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }, {
                    readonly strokeWidth: number;
                    readonly outerData: import("mobx-state-tree").ModelSnapshotType<{
                        id: import("mobx-state-tree").ISimpleType<number>;
                        diameter: import("mobx-state-tree").ISimpleType<number>;
                    }>;
                } & {
                    remove(): void;
                }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            }, {
                readonly cablesTotalWidth: number;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                removeCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
                setInputType(type: import("../../common/Input/types").InputUIType): void;
                changeWidth(value: number): void;
                setInputWidth(value: number): void;
            } & {
                readonly isFull: boolean;
            } & {
                addCable(cable: import("mobx-state-tree").ModelSnapshotType<{
                    id: import("mobx-state-tree").ISimpleType<number>;
                    diameter: import("mobx-state-tree").ISimpleType<number>;
                }>): void;
            }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
            name: import("mobx-state-tree").ISimpleType<string>;
        }, {
            readonly sideOptions: {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            } | {
                x1: number;
                y1: number;
                x2: number;
                y2: number;
                angle: number;
                scaleY: number;
                length: number;
            };
            readonly totalWidth: number;
            readonly interval: number;
            readonly unLimitedInputInterval: any;
            readonly cableBunchInterval: number;
            readonly margin: number;
            readonly cableBunchHeight: number;
            readonly inputsCoordinates: number[];
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
    }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
}, {
    readonly svgSizes: {
        width: number;
        height: number;
    };
}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
