import React from 'react';
import type { CableModelType } from '../store';
interface BezierPropsType {
    x1: number;
    y1: number;
    x2: number;
    y2: number;
    cable: {
        coreCable: CableModelType;
        strokeWidth: number;
        height: number;
        color: string;
    };
    sideName: string;
}
declare const _default: React.FunctionComponent<BezierPropsType>;
export default _default;
