interface Modal {
    isOpen: boolean;
    options: Record<string, any>;
}
declare class ModalStore {
    modalName: string;
    modals: Record<string, Modal>;
    constructor();
    open(name: string, options: Record<string, any>): void;
    close(name: string): void;
}
export declare type ModalStoreType = ModalStore;
export default ModalStore;
